Package com.io7m.waxmill.machines

# Enum WXMDeviceType.WXMDeviceFramebufferType.WXMVGAConfiguration

java.lang.Object
java.lang.Enum<WXMDeviceType.WXMDeviceFramebufferType.WXMVGAConfiguration>
com.io7m.waxmill.machines.WXMDeviceType.WXMDeviceFramebufferType.WXMVGAConfiguration

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<WXMDeviceType.WXMDeviceFramebufferType.WXMVGAConfiguration>`, `java.lang.constant.Constable`

Enclosing interface:
  WXMDeviceType.WXMDeviceFramebufferType

    public static enum WXMDeviceType.WXMDeviceFramebufferType.WXMVGAConfiguration
    extends java.lang.Enum<WXMDeviceType.WXMDeviceFramebufferType.WXMVGAConfiguration>

The VGA configuration used.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `IO` | Used for guests that attempt to issue BIOS calls which result in I/O port queries, and fail to boot if I/O decode is disabled.
  `OFF` | Used for the UEFI guests that assume that VGA adapter is present if they detect the I/O ports.
  `ON` | Used along with the CSM BIOS capability in UEFI to boot traditional BIOS guests that require the legacy VGA I/O and memory regions to be available.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `externalName()` |
  `static WXMDeviceType.WXMDeviceFramebufferType.WXMVGAConfiguration` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static WXMDeviceType.WXMDeviceFramebufferType.WXMVGAConfiguration[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ON

    public static final WXMDeviceType.WXMDeviceFramebufferType.WXMVGAConfiguration ON
    Used along with the CSM BIOS capability in UEFI to boot traditional BIOS guests that require the legacy VGA I/O and memory regions to be available.

  - ### OFF

    public static final WXMDeviceType.WXMDeviceFramebufferType.WXMVGAConfiguration OFF
    Used for the UEFI guests that assume that VGA adapter is present if they detect the I/O ports. An example of such a guest is OpenBSD in UEFI mode.

  - ### IO

    public static final WXMDeviceType.WXMDeviceFramebufferType.WXMVGAConfiguration IO
    Used for guests that attempt to issue BIOS calls which result in I/O port queries, and fail to boot if I/O decode is disabled.

- ## Method Details

  - ### values

    public static WXMDeviceType.WXMDeviceFramebufferType.WXMVGAConfiguration[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static WXMDeviceType.WXMDeviceFramebufferType.WXMVGAConfiguration valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null

  - ### externalName

    public java.lang.String externalName()
    Returns:
      The external name of the configuration